Direct Debit Accounts

Methods

GET

Retrieve Single Direct Debit Account

/backend/api/v1/directDebitAccounts/ID - fetch direct debit account with specified ID.

List Direct Debit Accounts

/backend/api/v1/directDebitAccounts/ - list all direct debit accounts.

/backend/api/v1/customers/ID/directDebitAccounts/ - list direct debit accounts belonging to customer with specified ID.

POST

/backend/api/v1/customers/ID/directDebitAccounts/ - add a new direct debit account to the specified customer, the newly-added account will be returned.

PATCH

/backend/api/v1/directDebitAccounts/ID - update direct debit account with specified ID. The modified account will be returned.

DELETE

/backend/api/v1/directDebitAccounts/ID - delete direct debit account with specified ID.

Fields

FieldNameTypeDescription
ourReferenceOur ReferenceTextInternal reference number for the direct debit account
customerReferenceCustomer’s ReferenceTextCustomer-provided reference for the direct debit account
customerMandateReferenceCustomer’s Mandate ReferenceTextCustomer mandate reference number for the direct debit authorization
directDebitAccountPriorityAccount Collection OrderPreset ValuePriority order for payment collection when customer has multiple direct debit accounts
accountNameAccount NameTextName of the account holder for the direct debit account
sortCodeSort CodeTextBank sort code for the direct debit account
accountNumberAccount NumberTextBank account number for the direct debit account
bankNameBank NameTextName of the bank holding the direct debit account
bankAddressBank AddressText (Multiline)Address of the bank branch for the direct debit account
directDebitStorageTypeAccount Storage MethodPreset ValueMethod used to store and process the direct debit account information
useForPaymentTypesUse For Payment TypesPreset Value(s)Array of payment type names this account supports
directDebitCollectionTypesUse For CollectionPreset Value(s)Array of collection type names this account can be used for
providerCustomerReferenceProvider Customer ReferenceTextCustomer reference used by the direct debit payment provider
providerAccountReferenceProvider Account ReferenceTextAccount reference used by the direct debit payment provider
providerSubscriptionReferenceProvider Subscription ReferenceTextSubscription reference used by the direct debit payment provider
providerReferenceProvider ReferenceTextGeneral reference used by the direct debit payment provider
statusAccount StatusPreset ValueCurrent status of the direct debit account
providerStatusProvider StatusTextStatus information from the direct debit payment provider
providerStatusDetailProvider Status DetailTextDetailed status information from the direct debit payment provider
directDebitSetupDateSet-Up DateDateDate when the direct debit account was set up with the provider
directDebitTakenDateLast Taken DateDateDate when a payment was last successfully taken from this account
directDebitAccountEndedStampAccount Ended DateDateDate when the direct debit account was ended or cancelled

Provider-Specific Fields

GoCardless

When creating a direct debit account with directDebitStorageType set to GoCardless, supply the following provider field:

FieldRequiredDescription
providerReferenceYesThe GoCardless mandate ID (beginning MD)

The remaining provider fields are populated automatically from GoCardless once the mandate is linked:

FieldAuto-populatedDescription
providerCustomerReferenceYesGoCardless customer ID (beginning CU)
providerAccountReferenceYesGoCardless bank account ID (beginning BA)
providerSubscriptionReferenceYesGoCardless subscription ID, if applicable

If the auto-populated fields remain empty after saving, the platform was unable to match the mandate in GoCardless. Check the mandate ID is correct.

Still Didn’t Find Your Answer?

For assistance, please contact us below.

Submit a ticket